XGETTEXT(1)

NOM
xgettext — Extraction des chaînes de gettext d’un fichier source

SYNOPSIS
xgettext [OPTION] [FICHIER_ENTRÉE]...

DESCRIPTION

Extraire les chaînes à traduire des fichiers d’entrée donnés.

Les arguments obligatoires des options de forme longue le sont aussi pour les options de forme courte. Même remarque pour les arguments facultatifs.

  Emplacement du fichier d'entrée :

FICHIER_ENTRÉE ...
    fichiers d'entrée

-f, --files-from=FICHIER
    récupérer la liste des fichiers d'entrée à partir de FICHIER

-D, --directory=RÉPERTOIRE
    ajouter RÉPERTOIRE à la liste pour la recherche de fichiers d'entrée

Si le fichier d'entrée est « - », c'est l'entrée standard qui est lue.

  Emplacement du fichier de sortie :

-d, --default-domain=NOM
    utiliser NOM.po pour la sortie (au lieu de messages.po)

-o, --output=FICHIER
    écrire la sortie dans le fichier spécifié

-p, --output-dir=RÉPERTOIRE
    les fichiers de sortie seront placés dans le RÉPERTOIRE spécifié

Si le fichier de sortie est -, le résultat sera écrit sur la sortie standard.

  Choisir le langage du fichier d’entrée :

-L, --language=LANGAGE
    cette option permet de spécifier le LANGAGE reconnu (C, C++, ObjectiveC, PO, Python, Java, JavaProperties, C#, JavaScript, TypeScript, TSX, Scheme, Guile, Lisp, EmacsLisp, librep, Rust, Go, Ruby, Shell, awk, Lua, Modula-2, D, Smalltalk, Vala, Tcl, Perl, PHP, GCC-source, YCP, NXStringTable, RST, RSJ, Glade, GSettings, Desktop)

-C, --c++
    raccourci pour --language=C++

Par défaut, le langage est déterminé en fonction de l’extension du nom du fichier d’entrée.

  Interprétation du fichier d’entrée :

--from-code=ENCODAGE
    encodage des fichiers d’entrée (sauf pour Python, Tcl et Glade)

Par défaut, les fichiers d’entrée sont supposés être encodés en ASCII.

  Mode opératoire :

-j, --join-existing
    joindre les messages au fichier existant

-x, --exclude-file=FICHIER.po
    les entrées de FICHIER.po ne sont pas extraites

-cTAG, --add-comments=SYMBOLE
    intégrer dans le fichier de sortie les blocs de commentaires commençant par SYMBOLE et précédant les lignes de mots-clés

-c, --add-comments
    intégrer dans le fichier de sortie tous les blocs de commentaires précédant les lignes de mots-clés

--check=NOM
    effectuer une vérification de syntaxe sur les messages (caractère Unicode « points de suspension », utilisation d'espaces autour ou entre les points qui composent des « points de suspension »,

    utilisation des guillemets ou apostrophes (quotes) sous leur forme Unicode, caractère Unicode « puce » se présentant sous la forme d’un petit cercle plein et noir)

--sentence-end=TYPE
    TYPE décrit la fin d’une phrase (une seule espace par défaut,

    ou deux espaces)

  Options spécifiques à un langage :

-a, --extract-all
    extraire toutes les chaînes (uniquement pour les langages C, C++, ObjectiveC, Python, Java, C#, JavaScript, TypeScript, TSX, Scheme, Guile, Lisp, EmacsLisp, librep, Rust, Go, Shell, awk, Lua, Modula-2, D, Vala, Tcl, Perl, PHP, GCC-source, Glade et GSettings)

-kWORD, --keyword=MOT_CLÉ
    rechercher le MOT_CLÉ spécifié comme un mot-clé additionnel

-k, --keyword
    ne pas utiliser de mots-clés par défaut (seulement pour les langages C, C++, ObjectiveC, Python, Java, C#, JavaScript, TypeScript, TSX, Scheme, Guile, Lisp, EmacsLisp, librep, Rust, Go, Shell, awk, Lua, Modula-2, D, Vala, Tcl, Perl, PHP, GCC-source, Glade, GSettings et Desktop)

--flag=MOT_CLÉ:NUM_ARG:MARQUEUR
    marqueur supplémentaire pour les chaînes de l’argument NUM_ARG de MOT_CLÉ

(seulement pour les langages C, C++, ObjectiveC, Python,
    Java, C#, JavaScript, TypeScript, TSX, Scheme, Guile, Lisp, EmacsLisp, librep, Rust, Go, Shell, awk, Lua, Modula-2, D, Vala, Tcl, Perl, PHP, GCC-source et YCP)

--tag=MOT_CLÉ:FORMAT
    définition du comportement des modèles littéraux marqués avec la balise MOT_CLÉ

    (seulement pour le langage JavaScript)

-T, --trigraphs
    prise en charge des trigrammes de caractères (trigraphs) ANSI C en entrée (obsolète ; seulement pour les langages C, C++ et ObjectiveC)

--its=FICHIER
    application des règles ITS (« Internationalization Tag Set » — jeu de balises d’internationalisation) contenues dans le FICHIER spécifié (seulement pour les langages basés sur XML)

--qt
    prise en charge des chaînes de format Qt (seulement pour le langage C++)

--kde
    prise en charge des chaînes de format KDE 4 (seulement pour le langage C++)

--boost
    prise en charge des chaînes de format Boost (seulement pour le langage C++)

--debug
    résultat de la reconnaissance des chaînes de format plus détaillée

  Présentation de la sortie :

--color
    toujours utiliser la couleur et d'autres attributs de texte

--color=QUAND
    QUAND utiliser la couleur et d'autres attributs de texte. QUAND peut être always, never, auto ou html

--style=FICHIER_STYLE
    spécifier le fichier de règles de style CSS pour --color

-e, --no-escape
    ne pas utiliser de séquence d'échappement C dans la sortie (comportement par défaut)

-E, --escape
    utiliser les séquences d'échappement C dans la sortie, pas les caractères étendus

--force-po
    écrire un fichier PO même s'il est vide

-i, --indent
    écrire le fichier .po en utilisant le style indenté

--no-location
    ne pas écrire les lignes « #: nom_fichier:ligne »

-n, --add-location
    générer les lignes « #: nom_fichier:ligne » (comportement par défaut)

--strict
    écrire un fichier .po strictement conforme au format Uniforum

--properties-output
    écrire un fichier .properties Java

--stringtable-output
    écrire un fichier .strings NeXTstep/GNUstep

--itstool
    afficher en sortie les commentaires itstool

-w, --width=LARGEUR
    définir la LARGEUR de page de la sortie

--no-wrap
    ne pas scinder en plusieurs lignes les longues lignes de message, plus longues que la largeur de la page de sortie

-s, --sort-output
    générer une sortie triée (obsolète)

-F, --sort-by-file
    trier la sortie par emplacement de fichier

--omit-header
    ne pas écrire l’en-tête avec l’entrée « msgid "" »

--no-git
    ne pas utiliser le programme git(1) pour afficher un champ « POT-Creation-Date » reproductible en sortie

--copyright-holder=CHAÎNE
    afficher le détenteur des droits d’auteur en sortie

--foreign-user
    ne pas afficher les droits d’auteur de la FSF (« Free Software Foundation ») en sortie pour les utilisateurs étrangers

--package-name=PAQUET
    afficher le nom du paquet en sortie

--package-version=VERSION
    afficher la version du paquet en sortie

--msgid-bugs-address=ADRESSE_COURRIEL
    définir l’adresse de courriel pour les rapports de bogue concernant msgid

--generated=FICHIER
    déclarer que le FICHIER spécifié a été généré et que le champ « POT-Creation-Date » ne doit donc pas être modifié en sortie

--reference=FICHIER
    déclarer que la sortie dépend du contenu du FICHIER spécifié. Cette option peut provoquer une modification du champ « POT-Creation-Date » en sortie

-m[CHAÎNE], --msgstr-prefix[=CHAÎNE]
    utiliser la CHAÎNE spécifiée ou "" comme préfixe des chaînes msgstr

-M[CHAÎNE], --msgstr-suffix[=CHAÎNE]
    utiliser la CHAÎNE spécifiée ou "" comme suffixe des chaînes msgstr

  Sortie informative :

-h, --help
    afficher l'aide-mémoire et quitter

-V, --version
    afficher les informations de version et quitter

-v, --verbose
    augmenter le niveau de détail

AUTEUR
Écrit par Ulrich Drepper.

SIGNALER DES BOGUES
Signaler les bogues dans le système de gestion de problèmes à l'adresse <https://savannah.gnu.org/projects/gettext> ou par courriel à <bug-gettext@gnu.org>.

COPYRIGHT
Copyright © 1995-2025 Free Software Foundation, Inc. Licence GPLv3+ : GNU GPL version 3 ou ultérieure <https://gnu.org/licenses/gpl.html>
Ce programme est un logiciel libre. Vous pouvez le modifier et le redistribuer. Il n'y a AUCUNE GARANTIE dans la mesure autorisée par la loi.

VOIR AUSSI
La documentation complète de xgettext est disponible dans un manuel Texinfo. Si les programmes info et xgettext sont correctement installés, la commande

    info xgettext

devrait vous donner accès au manuel complet.

TRADUCTION
La traduction française de cette page de manuel a été créée par Lucien Gentis <lucien.gentis@univ-lorraine.fr>

Cette traduction est une documentation libre ; veuillez vous reporter à la GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) concernant les conditions de copie et de distribution. Il n'y a aucune RESPONSABILITÉ LÉGALE.

Si vous découvrez un bogue dans la traduction de cette page de manuel, veuillez envoyer un message à debian-l10n-french@lists.debian.org.